summary refs log tree commit diff
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--bin/cash/Makefile9
1 files changed, 8 insertions, 1 deletions
diff --git a/bin/cash/Makefile b/bin/cash/Makefile
index 4a9ec599..5dd4e726 100644
--- a/bin/cash/Makefile
+++ b/bin/cash/Makefile
@@ -76,12 +76,19 @@ clean:
 	rm -f cash $(OBJS) mknodes mksyntax $(GENSRCS) $(GENHDRS) tags .depend
 
 install: cash $(MAN1)
-	mkdir -p $(PREFIX)/bin $(MANDIR)/man1
+	install -d $(PREFIX)/bin $(MANDIR)/man1
 	install cash $(PREFIX)/bin
 	install -m 644 $(MAN1) $(MANDIR)/man1
 
 uninstall:
 	rm -f $(PREFIX)/bin/cash $(MAN1:%=$(MANDIR)/man1/%)
 
+shell:
+	grep -q '^$(PREFIX)/bin/cash$$' /etc/shells \
+		|| echo '$(PREFIX)/bin/cash' >> /etc/shells
+
+unshell:
+	sed -i sed '\;^$(PREFIX)/bin/cash$$;d' /etc/shells
+
 README: cash.7
 	mandoc cash.7 | col -bx > README
02-17Add hi -f html -o anchor for line number linksJune McEnroe 2019-02-17Simplify temp trap in upJune McEnroe 2019-02-17Add line numbers to hiJune McEnroe Renames previous -n option to -m to stay consistent with cat -n. Prefixing lines with line numbers affects where the first tab indent ends up relative to the text above it. Not sure if it's worth fixing somehow. 2019-02-17Always split spans after newlinesJune McEnroe Simplifies ANSI and IRC output code, and prepares for line numbered output. 2019-02-15Color format specifiers light cyan in vimJune McEnroe 2019-02-15Highlight Interp as yellowJune McEnroe 2019-02-15Highlight strings in sh command substitutionsJune McEnroe 2019-02-15Add nmap gpJune McEnroe 2019-02-14Avoid newline when copying URL to pasteboardJune McEnroe 2019-02-13Add forgotten "sixth" book of H2G2June McEnroe